<template>
  <div id="footer_first">
    <div class="container separation-line" id="deu">
      <div class="row flex-column flex-md-row">
        <div class="col-md pl-0 columnFooter" id="footer_first_left">
          <div class=""><a href="https://op.europa.eu/" class="img-Wrap-anchor" aria-label="Publications Office of the European Union">
            <img src="../../assets/img/op-logo.png" width="187.7" height="44"  alt="Publications Office of the European Union" style="margin-top: 25px;"/>
          </a>
            <div class="my-3">
              <div v-html="$t('message.footer.managedBy')"></div>
            </div>
          </div>

        </div>
        <div class="px-0 px-md-2 col-md columnFooter" id="footer_first_middle">
          <div class="region region-footer-first-middle mb-md-4">
            <div id="block-subscribetoournewsletter">
              <div class="clearfix">
                <h2>
                  <div class="region-footer-first-middle-headline">{{ $t('message.footer.contactUs.title') }}</div>
                </h2>
                <a class="footer-sub-text pt-0" :href="`/${$route.query.locale}/contact-us`">
                  {{ $t('message.footer.contactUs.contactUs') }}
                </a>

                <a class="footer-sub-text" :href="`/${$route.query.locale}/newsletter`">
                  {{ $t('message.footer.contactUs.subscribe') }}
                </a>
              </div>
            </div>
          </div>
          <div class="region region-footer-first-middle">
            <div id="block-followuson">
              <div class="clearfix">
                <h2>
                  <div class="region-footer-first-middle-headline">{{ $t('message.footer.followUs') }}</div>
                </h2>
                <ul class="social-media footer-sub-text">
                  <li>
                    <a class="twitter pt-0" :href="`${twitterURL}`" target="_blank" rel="noopener"
                       @click="$emit('click-follow-link', twitterURL)"
                       @click.middle="$emit('click-follow-link', twitterURL)">
                      <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-twitter-x eu-icon deu-icon__twitter" viewBox="0 0 16 16">
                        <path d="M12.6.75h2.454l-5.36 6.142L16 15.25h-4.937l-3.867-5.07-4.425 5.07H.316l5.733-6.57L0 .75h5.063l3.495 4.633L12.601.75Zm-.86 13.028h1.36L4.323 2.145H2.865z"/>
                      </svg>X/Twitter
                    </a>
                  </li>
                  <li>
                    <a class="linkedin pt-0" :href="`${linkedInURL}`" target="_blank" rel="noopener"
                      @click="$emit('click-follow-link', linkedInURL)"
                      @click.middle="$emit('click-follow-link', linkedInURL)">
                      <FontAwesomeIcon :icon="['fab', 'linkedin']" class="deu-icon deu-icon__linkedin" />LinkedIn
                    </a>
                  </li>
                  <li>
                    <a class="instagram" :href="`${instagramURL}`" target="_blank" rel="noopener"
                       @click="$emit('click-follow-link', instagramURL)"
                       @click.middle="$emit('click-follow-link', instagramURL)">
                      <FontAwesomeIcon :icon="['fab', 'instagram']" class="deu-icon deu-icon__instagram" /> Instagram
                    </a>
                  </li>
                  <li>
                    <a class="youtube" :href="`${youtubeURL}`" target="_blank" rel="noopener"
                      @click="$emit('click-follow-link', youtubeURL)"
                      @click.middle="$emit('click-follow-link', youtubeURL)">
                      <FontAwesomeIcon :icon="['fab', 'youtube']" class="deu-icon deu-icon__youtube" />Youtube
                    </a>
                  </li>
                </ul>
              </div>
            </div>

            <div class="region region-footer-first-middle region-footer-first-middle-headline-second">
            <div class="clearfix legal-block" >
              <h2 >
                <div class="region-footer-first-middle-headline" >{{ $t('message.footertop.Legal') }}</div>
              </h2>
              <a href="https://data.europa.eu/en/copyright-notice"
                 class="">{{ $t('message.footertop.LegalNotice') }}</a>
              <a href="https://dataeuropa.gitlab.io/data-provider-manual/legal-notice/cookies" class="">{{ $t('message.footertop.Cookies') }}</a>
              <a class="footer-sub-text"
                 href="https://op.europa.eu/web/about-us/legal-notices/accessibility-statement">
                {{ $t('message.footertop.Accessibility') }}
              </a>
            </div>
          </div>
          </div>

        </div>
        <div class="px-0 px-md-2 col-md columnFooter" id="footer_first_right">
          <div class="region region-footer-first-right">
            <div class="clearfix">
              <h2>
                <div class="region-footer-first-right-headline">{{ $t('message.footer.aboutUs.title') }}</div>
              </h2>
              <div id="block-aboutus" class="more-services footer-top-bottom-list d-flex">
              <a class="footer-sub-text" href="https://op.europa.eu/web/about-us/about-publication-office-of-the-european-union">
                {{ $t('message.footerTop.OurMissionVisionAndValues') }}
              </a>

              <a class="footer-sub-text" href="https://op.europa.eu/web/general-publications/newsletters">
                {{ $t('message.footerTop.PublicationsOfficeNewsletter') }}
              </a>
              </div>
              <br />
              <div id="block-moreservices">
                <div class="clearfix">
                  <h2>
                    <div class="region-footer-first-middle-headline">{{ $t('message.footerTop.OtherServices') }}</div>
                  </h2>
                  <div class="more-services footer-top-bottom-list d-flex">
                    <a class=""><a href="https://eur-lex.europa.eu/"
                        class="footer-sub-text">EU law</a></a>
                    <a class=""><a href="https://ted.europa.eu/en"
                        class="footer-sub-text">EU tenders</a>
                    </a>
                    <a class=""><a href="https://cordis.europa.eu/" class="footer-sub-text">EU
                        research
                        results</a></a>
                    <a class=""><a href="https://op.europa.eu/en/web/who-is-who"
                        class="footer-sub-text">EU Whoiswho</a>
                    </a>
                    <a class=""><a
                        href="https://op.europa.eu/en/web/general-publications/publications" class="footer-sub-text">EU
                        publications</a></a>
                    <a v-if="useLogin === true || useLogin === 'true'" class="footer-top-bottom-list-item ">
                      <app-link v-if="!authenticated" :to="login">
                        {{ $t('message.footer.login') }}
                      </app-link>
                      <app-link v-else :to="logout">
                        {{ logoutTitle }}
                      </app-link>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import AppLink from '../common/AppLink.vue';
import fontawesome from "@fortawesome/fontawesome";
import brands from "@fortawesome/fontawesome-free-brands";
import faSpinner from "@fortawesome/fontawesome-free-solid/faSpinner";
fontawesome.library.add(brands, faSpinner);
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome';



export default {
  name: 'FooterTop',
  components: {
    FontAwesomeIcon,
    AppLink
  },
  data() {
    return {
      twitterURL: 'https://twitter.com/EU_opendata',
      linkedInURL: 'https://www.linkedin.com/company/publications-office-of-the-european-union',
      youtubeURL: 'https://www.youtube.com/c/PublicationsOffice',
      instagramURL: 'https://www.instagram.com/eu_publicationsoffice',
      contactCommission: 'https://ec.europa.eu/info/about-european-commission/contact_',
      followEuropeanCommission: 'https://european-union.europa.eu/contact-eu/social-media-channels_',
      resourcesForPartners: 'https://ec.europa.eu/info/resources-partners_',
    };
  },
  computed: {
    locale() {
      return this.$route.query.locale;
    }
  },
  props: {
    useLogin: {
      type: [Boolean, String],
      default: false,
    },
    authenticated: {
      type: Boolean,
      default: false,
    },
    login: {
      type: String,
      default: '/login',
    },
    loginTitle: {
      type: String,
      default: 'Login',
    },
    logout: {
      type: String,
      default: '/logout',
    },
    logoutTitle: {
      type: String,
      default: 'Logout',
    },
  },
};
</script>

<style lang="scss" scoped>
@import '../../styles/footer-first.scss';

.legal-block {
  display: grid;
}

.columnFooter{
  padding: 0.25rem 1rem;
}
#block-subscribetoournewsletter .clearfix {
  display: flex;
  flex-direction: column;

}

.separation-line {
  border-bottom: 2px solid #cfdaf5;
}

.more-services {
  display: flex;
  flex-direction: column;
}

.social-media {
  display: flex;

  grid-template-columns: auto auto;

  flex-wrap: wrap;

  li {
    margin-inline-end: 1.5rem;
    margin-top: 0.5rem;

  }

  .twitter,
  .linkedin,
  .youtube {
    display: flex;
    align-items: center;
  }
}

h2 {
  font: normal normal 400 1.75rem/2rem arial, sans-serif;

}

h4 {
  font-size: 1.5rem;
  font-weight: normal;
  color: #202272;
}

#deu {

  .deu-icon {

    &:before {
      font-weight: 900;
      margin-right: 10px;
      font-size: 14px;
      position: relative;
      top: 0;
      background-color: $primary-lighter;
      color: #dbe6fe;
      padding: 7px;
      border-radius: 100%;
      -webkit-transition: background-color 0.3s ease-in-out;
      transition: background-color 0.3s ease-in-out;
    }

    &__twitter,
    &__linkedin,
    &__youtube {
      font-weight: 900;
      margin-right: 0.5rem;
      font-size: 16px;
      width: 18px;
      height: 18px;
    }

    &__external {
      font-weight: 600;
      font-size: 10px;
      position: relative;
      top: -3px;
      margin-left: 3px;
    }

    &__comments {
      margin-right: 10px;
      font-size: 24px;
    }

  }
}
</style>
